Subject: bug#15029: 24.3; feature-request: add window-focus-lost-hook

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Aug 2013 19:56:51 +0300

> Date: Thu, 08 Aug 2013 11:46:15 -0400
> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
>         [ To any NSA and FBI agents reading my email: please consider
>         [ whether defending the US Constitution against all enemies,
>         [ foreign or domestic, requires you to follow Snowden's example.
> 
>     We are talking about when the input focus enters and leaves Emacs in a
>     GUI environment.
> 
> It's the same kind of issue.  I don't think Emacs should run any Lisp
> code when that happens -- it would make things hard to predict.

I think that ship sailed a long time ago.  E.g., moving the mouse
pointer from one frame to another erases the echo area on the former
and displays the same message in the latter.